#include <Wire.h>
#include <Adafruit_BMP085.h>

Adafruit_BMP085 bmp;
  
void setup() {
  Serial.begin(9600);
  if (!bmp.begin()) {
  Serial.println("Could not find a valid BMP085 sensor, check wiring!");
  while (1) {}
  }
}
  
void loop() {
    float AltitudeSum = 0;
    float AltitudeSum25 = 0;

    //This section loops 50 times to capture the data for the 50 and 25 sample averages
    for (int i=0; i < 50; i++)
    {
      AltitudeSum += bmp.readAltitude();
      if (i == 24)
      AltitudeSum25 = AltitudeSum; 
    }

    //This section prints the data in csv format to the terminal
    Serial.print(AltitudeSum25/25);
    Serial.print(",");
    Serial.print(AltitudeSum/50);
    Serial.print(",");
    Serial.print(bmp.readAltitude());
    Serial.println();
}
