#include <Wire.h>
#include <Adafruit_BMP085.h>

Adafruit_BMP085 bmp;
  
void setup() {
  
  Serial.begin(9600); //Starts the serial communication with computer 
  
  if (!bmp.begin()) { //Waits for the sesnor to intialize 
  while (1) {}
  }
  
}
  
void loop() {
  //Uses the adafruit library to read the pressure data and convert it to altitude
  //Then displays it in the computer's terminal 
  Serial.println(bmp.readAltitude()); //
  delay(500);
}
